Bug 974647 - Load extensions in GObject::constructed
Load extensions in GObject::constructed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks: 974234
  Show dependency treegraph
 
Reported: 2013-06-14 13:28 EDT by Milan Crha
Modified: 2014-01-02 04:07 EST (History)
4 users (show)

See Also:
Fixed In Version: evolution-2.32.3-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:53:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2013-06-14 13:28:23 EDT
While working on bug #974234, I realized that settings are not loaded properly. Then I recalled some changes around this, moving e_extensible_load_extensions() from init() into constructed(). Better to do this early, rather than later.
Comment 1 Milan Crha 2013-06-14 13:43:50 EDT
Related upstream bug report (the part at /mail/em-format-html.c):
https://bugzilla.gnome.org/show_bug.cgi?id=674381
Comment 2 Milan Crha 2013-06-14 14:13:03 EDT
With respect fo steps, the easiest might be to follow steps from bug #974234 comment #4 and observe that without this fix the LDAP book is not loaded, only local books are loaded. One can also open Edit->Preferences->Mail Preferences->Headers tab and "turn on and off again" the
  [ ] Search for sender photograph only in local addressbooks
Comment 9 errata-xmlrpc 2013-11-20 23:53:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.